import { CrLitElement } from '//resources/lit/v3_0/lit.rollup.js';
import type { PropertyValues } from '//resources/lit/v3_0/lit.rollup.js';
import type { PermissionChipState } from '/shared/toolbar_ui_api_data_model.mojom-webui.js';
export declare class PermissionChipElement extends CrLitElement {
    static get is(): string;
    static get styles(): import("//resources/lit/v3_0/lit.rollup.js").CSSResultGroup;
    render(): import("//resources/lit/v3_0/lit.rollup.js").TemplateResult<1> | typeof import("//resources/lit/v3_0/lit.rollup.js").nothing;
    static get properties(): {
        chipState: {
            type: ObjectConstructor;
        };
        hasDivider: {
            type: BooleanConstructor;
            attribute: string;
            reflect: boolean;
        };
    };
    accessor chipState: PermissionChipState | null;
    accessor hasDivider: boolean;
    private isFullyCollapsed_;
    private trackedElementManager_;
    constructor();
    connectedCallback(): void;
    disconnectedCallback(): void;
    updated(changedProperties: PropertyValues<this>): void;
    private onChipStateChanged_;
    private getIdentifier_;
    protected onPointerenter_(): void;
    protected onPointerleave_(): void;
    protected onPointercancel_(): void;
    protected onPointerdown_(e: PointerEvent): void;
    protected onClick_(e: PointerEvent): void;
    private updateColors_;
    protected getIconUrl_(): string;
}
declare global {
    interface HTMLElementTagNameMap {
        'permission-chip': PermissionChipElement;
    }
}
